Bug 118323 - MENU: 'Link to external file' entry is disabled if cursor inside a protected section
Summary: MENU: 'Link to external file' entry is disabled if cursor inside a protected ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Section
  Show dependency treegraph
 
Reported: 2018-06-22 15:22 UTC by Xisco Faulí
Modified: 2019-08-01 03:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast comparting protected and unprotected sections (1.71 MB, video/x-matroska)
2018-06-25 16:43 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-06-22 15:22:19 UTC
Steps to reproduce:
1. Open Writer
2. Insert - Section
3. Check Link
4. Browse to an existing file
5. Check Protected

-> Observed behaviour: If the cursor if outside the section, the menu entry is enabled. if the section is selected, it's disabled. This behaviour is not observed if the section is not protected

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: b25f59094794eb72eefdbbbca8ac69eb325120c8
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 1 Regina Henschel 2018-06-23 11:15:57 UTC
I do not understand your problem. 

(In reply to Xisco Faulí from comment #0)
> Steps to reproduce:
> 1. Open Writer
> 2. Insert - Section
> 3. Check Link
> 4. Browse to an existing file
> 5. Check Protected

You have clicked OK to finish inserting section or are you still in dialog?

> 
> -> Observed behaviour: If the cursor if outside the section, the menu entry
> is enabled.

What "menu entry"?
Comment 2 Xisco Faulí 2018-06-25 16:43:58 UTC
Created attachment 143108 [details]
screencast comparting protected and unprotected sections
Comment 3 Susan Gessing 2018-07-02 21:04:08 UTC
Was able to reproduce as described. When my cursor is in the protected section, "Links to External Files" is disabled. When my cursor is outside the protected section, "Links to External Files" is enabled. I'm assuming this behavior is incorrect, hence the reason for this report. Tested in the following:

Version: 6.0.5.2 (x64)
Build ID: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
Locale: en-US (en_US); Calc: CL

and

Version: 6.2.0.0.alpha0+
Build ID: b1740fba0d1e6e3d69c3781734509317f42a0e4f
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-06-15_08:49:04
Locale: en-US (en_US); Calc: CL
Comment 4 QA Administrators 2019-08-01 03:36:46 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug